org.apache.ignite.internal.processors.query.schema.operation

## Class SchemaAddQueryEntityOperation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation
  - - org.apache.ignite.internal.processors.query.schema.operation.SchemaAddQueryEntityOperation

All Implemented Interfaces:
  Serializable

    public class SchemaAddQueryEntityOperation
    extends SchemaAbstractOperation

Enabling indexing on cache operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SchemaAddQueryEntityOperation(UUID opId, String cacheName, String schemaName, Collection<QueryEntity> entities, int qryParallelism, boolean sqlEscape)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<QueryEntity>` `entities()`
`boolean` `isSqlEscape()`
`int` `queryParallelism()`

### Methods inherited from class org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation

`cacheName, id, schemaName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaAddQueryEntityOperation

    public SchemaAddQueryEntityOperation(UUID opId,
                                         String cacheName,
                                         String schemaName,
                                         Collection<QueryEntity> entities,
                                         int qryParallelism,
                                         boolean sqlEscape)

Parameters:
  `opId` - Operation ID.
  `cacheName` - Cache name.
  `schemaName` - Schema name.
  `entities` - Collection of QueryEntity.
  `qryParallelism` - Query parallelism.
  `sqlEscape` - Sql escape flag.

### Method Detail

#### entities

    public Collection<QueryEntity> entities()

Returns:
  Collection of query entities.

#### queryParallelism

    public int queryParallelism()

Returns:
  Query parallelism.

#### isSqlEscape

    public boolean isSqlEscape()

Returns:
  Sql escape flag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022